/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../libs.h"
#include "../../engine/engine.h"

typedef struct {
  engine_t engine;
} dawngame_t;

/**
 * Initializes the Dawn Game instance.
 * 
 * @param game Game to instanciate.
 * @return True if successful otherwise false.
 */
bool dawnGameInit(dawngame_t *game);

/**
 * Update the Dawn Game Instance.
 * 
 * @param game Game to update.
 */
void dawnGameUpdate(dawngame_t *game);

/**
 * Cleanup the dawn game instance.
 * 
 * @param game Game to dispose.
 */
void dawnGameDispose(dawngame_t *game);